コンテンツへスキップ

Workflow Utilities Interleave Video

統合

モデルID workflow-utilities/interleave-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/workflow-utilities/interleave-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "videos": [
      "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

1 回の実行につき最大 $0.612 実際の使用量に応じて課金され、残額は返金されます このページで実行

APIキーを取得
Utility · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 video_urls
ファイルをドロップ、または

インターリーブ順を指定する動画URLのリストです。

詳細設定 frames_per_second

インターリーブされた動画の再生フレームレート。低くすると結果が長くなり、高くすると再生が短く速くなります。指定した値はすべてのインターリーブフレームに適用されます。指定しない場合、従来の計算で元動画からレートを決定するため、384.0098のような標準外の値になる可能性があります。

POST /run/workflow-utilities/interleave-video?wait=20 見積もり → $0.612
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/workflow-utilities/interleave-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "videos": [
      "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Workflow Utilities Interleave Videoについて

動画 URL のリストを受け取り、指定された順序でインターリーブして 1 本の動画にします。`frames_per_second`(1~120)で出力フレームレートを固定できます。低い値では長く低速になり、高い値では短く高速になります。未指定の場合はソースのレートを維持します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
video_urls必須 videos
型url[] · video
インターリーブ順を指定する動画URLのリストです。
frames_per_second任意
型number | null
1 – 120
インターリーブされた動画の再生フレームレート。低くすると結果が長くなり、高くすると再生が短く速くなります。指定した値はすべてのインターリーブフレームに適用されます。指定しない場合、従来の計算で元動画からレートを決定するため、384.0098のような標準外の値になる可能性があります。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "workflow-utilities/interleave-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 612,
    "usd": "0.612",
    "charged": 612,
    "refunded": 0
  },
  "input": {
    "video_urls": [
      "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}入力をインターリーブして生成された動画です。

その他のモデル: 動画変換

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/workflow-utilities/interleave-video.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt